de.vc.jfo.attributes

## Class Padding

- java.lang.Object
- - de.vc.jfo.attributes.AttributeSubSet
  - - de.vc.jfo.attributes.Padding

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Padding
      extends AttributeSubSet

  Defines padding-properties of a formatting object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `KEY_SET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Padding()` Creates a new padding object without any definitions.
    `Padding(int padding)` Creates a new padding object with a specific top, left, right and bottom padding.
    `Padding(int top, int left, int right, int bottom)` Creates a new padding object with a specific top, left, right and bottom padding.
    `Padding(Measure padding)` Creates a new padding object with a specific top, left, right and bottom padding.
    `Padding(Measure top, Measure left, Measure right, Measure bottom)` Creates a new padding object with a specific top, left, right and bottom padding.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Measure` | `getAfter()`
    `java.lang.Object` | `getAttribute(int keyIdx)`
    `Measure` | `getBefore()`
    `Measure` | `getBottom()`
    `Measure` | `getEnd()`
    `Measure` | `getLeft()`
    `Measure` | `getRight()`
    `Measure` | `getStart()`
    `Measure` | `getTop()`
    `boolean` | `isDefined()`
    `void` | `setAfter(Measure after)`
    `void` | `setBefore(Measure before)`
    `void` | `setBottom(Measure bottom)`
    `void` | `setEnd(Measure end)`
    `void` | `setLeft(Measure left)`
    `void` | `setRight(Measure right)`
    `void` | `setStart(Measure start)`
    `void` | `setTop(Measure top)`

    - ### Methods inherited from class de.vc.jfo.attributes.AttributeSubSet

      `addDefinedAttributes, applyAttributes, clone, isMutable, makeImmutable, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_SET

          public static final java.lang.String[] KEY_SET

  - ### Constructor Detail

    - #### Padding

          public Padding()

      Creates a new padding object without any definitions.

    - #### Padding

          public Padding(int padding)

      Creates a new padding object with a specific top, left, right and bottom padding.
      Parameters:
        `padding` - Padding top, left, right and bottom in Points.

    - #### Padding

          public Padding(int top,
                 int left,
                 int right,
                 int bottom)

      Creates a new padding object with a specific top, left, right and bottom padding.
      Parameters:
        `top` - Padding top in points.
        `left` - Padding left in points.
        `right` - Padding right in points.
        `bottom` - Padding bottom in points.

    - #### Padding

          public Padding(Measure padding)

      Creates a new padding object with a specific top, left, right and bottom padding.
      Parameters:
        `padding` - Padding top, left, right and bottom.

    - #### Padding

          public Padding(Measure top,
                 Measure left,
                 Measure right,
                 Measure bottom)

      Creates a new padding object with a specific top, left, right and bottom padding.
      Parameters:
        `top` - Padding top.
        `left` - Padding left.
        `right` - Padding right.
        `bottom` - Padding bottom.

  - ### Method Detail

    - #### getTop

          public Measure getTop()

    - #### getStart

          public Measure getStart()

    - #### getRight

          public Measure getRight()

    - #### getEnd

          public Measure getEnd()

    - #### getLeft

          public Measure getLeft()

    - #### getBottom

          public Measure getBottom()

    - #### getBefore

          public Measure getBefore()

    - #### getAfter

          public Measure getAfter()

    - #### setAfter

          public void setAfter(Measure after)

    - #### setBefore

          public void setBefore(Measure before)

    - #### setBottom

          public void setBottom(Measure bottom)

    - #### setEnd

          public void setEnd(Measure end)

    - #### setRight

          public void setRight(Measure right)

    - #### setLeft

          public void setLeft(Measure left)

    - #### setStart

          public void setStart(Measure start)

    - #### setTop

          public void setTop(Measure top)

    - #### isDefined

          public boolean isDefined()

    - #### getAttribute

          public java.lang.Object getAttribute(int keyIdx)

      Specified by:
        `getAttribute` in class `AttributeSubSet`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.